package com.gic.haoban.manage.api.enums.chat;

import java.util.Objects;

/**
 * Created by wangzubo on 2023/3/13.
 */
public enum ChatActivityInvalidInviteTypeEnum {

    /**
     * 无效邀请类型 1非首次参与活动受邀入群2入群前已处于企业群聊内3非首次加入企业群聊
     */
    ONE(1, "非首次参与活动受邀入群"),
    TWO(2, "入群前未处于任何企业群聊内算有效邀请"),
    THREE(3, "首次加入企业群聊才算有效邀请"),
    ;

    public final Integer value;
    public final String desc;

    ChatActivityInvalidInviteTypeEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public static String getDescByValue(Integer value) {
        for (ChatActivityInvalidInviteTypeEnum inviteTypeEnum : ChatActivityInvalidInviteTypeEnum.values()) {
            if (Objects.equals(value, inviteTypeEnum.value)) {
                return inviteTypeEnum.desc;
            }
        }
        return null;
    }

    public static ChatActivityInvalidInviteTypeEnum getByValue(Integer value) {
        for (ChatActivityInvalidInviteTypeEnum inviteTypeEnum : ChatActivityInvalidInviteTypeEnum.values()) {
            if (Objects.equals(value, inviteTypeEnum.value)) {
                return inviteTypeEnum;
            }
        }
        return null;
    }
}
